/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef PREFERENCESDIALOGHEADERFILE
#define PREFERENCESDIALOGHEADERFILE

#include <QDialog>

class QRadioButton;

class TPreferencesDialog : public QDialog
{
Q_OBJECT

public:
	
enum TDMISOutputFeature
{
	MEASURED_POINT = 0,
	OFFSET_POINT
};
	
struct TPreferences
{
	TDMISOutputFeature					dmis_output_feature;
};

// CREATORS
	TPreferencesDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TPreferencesDialog(void);

// ACCESSORS
	TPreferences Preferences(void) const;

// MANIPULATORS
	
	void Reset(const TPreferences &preferences);

signals:

private slots:

private:
	QRadioButton						*d_const_point_radio;
	QRadioButton						*d_meas_point_radio;

// NOT IMPLEMENTED
	TPreferencesDialog(const TPreferencesDialog&);
	TPreferencesDialog& operator=(const TPreferencesDialog&);
};

#endif
